Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMrootPeerSupport

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.ocm.OCMpeerSupport
                  |
                  +--com.jxml.quick.ocm.OCMrootPeerSupport

All Implemented Interfaces:
  Item, OCMpeer, OCMrootPeer, QConverter

Direct Known Subclasses:
  Element, Element, QCDTD, QCQDML, QCQDML, QCQJML, QCQJML, QCQJML

public abstract class OCMrootPeerSupport
extends OCMpeerSupport
implements OCMrootPeer

Provides the functionality for the conversion.

Inner Class Summary
`class` | `OCMrootPeerSupport.Root` A unique token for root conversion.

Fields inherited from class com.jxml.quick.ocm.OCMpeerSupport
`context, dataModel, paramMap, parent`

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`OCMrootPeerSupport()`

Method Summary
`QDoc` | `convert()` Convert one QDoc into another.
`QDoc` | `convert(String url)` Convert one QDoc into another.
`void` | `evalRoot()` Generate element events.
`String` | `express(boolean expressDefaults)` Generate an XML document (or other text).
`void` | `express(PrintWriter pw, boolean expressDefaults)` Generate an XML document (or other text).
`String` | `getPUBLIC()`
`String` | `getRootTag()`
`String` | `getSYSTEM()`

Methods inherited from class com.jxml.quick.ocm.OCMpeerSupport
`cvt, doCvt, doCvt, doCvt, init, peer`

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, main, setDestination, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMpeer
`cvt, init`

Constructor Detail

### OCMrootPeerSupport

    public OCMrootPeerSupport()

Method Detail

### evalRoot

    public void evalRoot()
                  throws SAXException,
                         IOException

  Description copied from class: `QConverterSupport`
  Generate element events. Called by the eval method on the root object. Must be overridden by application logic on the root object.
  Overrides:
    `evalRoot` in class `QConverterSupport`

### convert

    public QDoc convert()
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMrootPeer`
  Convert one QDoc into another.
  Specified by:
    `convert` in interface `OCMrootPeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMrootPeer`
  Returns:
    The new document.

### convert

    public QDoc convert(String url)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMrootPeer`
  Convert one QDoc into another.
  Specified by:
    `convert` in interface `OCMrootPeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMrootPeer`
  Parameters:
    `url` - The name of the output document.
  Returns:
    The new (unique) document.

### express

    public String express(boolean expressDefaults)
                   throws SAXException,
                          IOException

  Description copied from interface: `OCMrootPeer`
  Generate an XML document (or other text).
  Specified by:
    `express` in interface `OCMrootPeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMrootPeer`
  Parameters:
    `doc` - The QDoc object holding the object tree to be expressed in XML.
    `expressDefaults` - Turns on the expression of default values.
  Returns:
    The XML representation

### express

    public void express(PrintWriter pw,
                        boolean expressDefaults)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMrootPeer`
  Generate an XML document (or other text).
  Specified by:
    `express` in interface `OCMrootPeer`
  Following copied from interface: `com.jxml.quick.ocm.OCMrootPeer`
  Parameters:
    `doc` - The QDoc object holding the object tree to be expressed in XML.
    `PW` - PrintWriter where the XML document is to be written.
    `expressDefaults` - Turns on the expression of default values.

### getPUBLIC

    public String getPUBLIC()
                     throws SAXException,
                            IOException

  Overrides:
    `getPUBLIC` in class `QConverterSupport`

### getSYSTEM

    public String getSYSTEM()
                     throws SAXException,
                            IOException

  Overrides:
    `getSYSTEM` in class `QConverterSupport`

### getRootTag

    public String getRootTag()
                      throws SAXException,
                             IOException

  Overrides:
    `getRootTag` in class `QConverterSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD